---
title: BlobEvent.data
slug: Web/API/BlobEvent/data
tags:
  - API
  - BlobEvent
  - DOM
  - DOM Reference
  - Experimental
  - Media Stream Recording
  - Property
  - Reference
---
<p>{{ apiref("Media Capture and Streams") }} {{ SeeCompatTable() }}</p>

<p>The <code><strong>BlobEvent.data</strong></code> read-only property represents a {{domxref("Blob")}} associated with the event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>associatedBlob</em> = <em>BlobEvent</em>.data</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording', '#dom-blobevent-data', 'BlobEvent.data')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BlobEvent.data")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("BlobEvent")}} interface it belongs to.</li>
</ul>
